PLplot: ps.h File Reference

PLplot 5.15.0

Classes | Macros | Functions
ps.h File Reference
`#include "plunicode-type1.h"`

Go to the source code of this file.

## Classes
struct | PSDev

## Macros
#define | LINELENGTH 78
#define | COPIES 1
#define | XSIZE (int) ( pls->xlength * ( pls->xdpi / 72. ) )
#define | YSIZE (int) ( pls->ylength * ( pls->ydpi / 72. ) )
#define | ENLARGE 5
#define | XPSSIZE ENLARGE * XSIZE
#define | YPSSIZE ENLARGE * YSIZE
#define | XOFFSET (int) ( pls->xoffset * ( pls->xdpi / 72. ) )
#define | YOFFSET (int) ( pls->yoffset * ( pls->ydpi / 72. ) )
#define | PSX XPSSIZE - 1
#define | PSY YPSSIZE - 1
#define | OF pls->OutFile
#define | MIN_WIDTH 1.
#define | MAX_WIDTH 30.
#define | DEF_WIDTH 3.
#define | XMIN -XOFFSET * ENLARGE
#define | XMAX PSX + XOFFSET * ENLARGE
#define | YMIN -XOFFSET * ENLARGE
#define | YMAX PSY + XOFFSET * ENLARGE

## Functions
void | plD_init_pstex (PLStream *)
void | plD_line_pstex (PLStream *, short, short, short, short)
void | plD_polyline_pstex (PLStream *, short *, short *, PLINT)
void | plD_eop_pstex (PLStream *)
void | plD_bop_pstex (PLStream *)
void | plD_tidy_pstex (PLStream *)
void | plD_state_pstex (PLStream *, PLINT)
void | plD_esc_pstex (PLStream *, PLINT, void *)
void | plD_init_ps (PLStream *)
void | plD_init_psc (PLStream *)
void | plD_line_ps (PLStream *, short, short, short, short)
void | plD_polyline_ps (PLStream *, short *, short *, PLINT)
void | plD_eop_ps (PLStream *)
void | plD_bop_ps (PLStream *)
void | plD_tidy_ps (PLStream *)
void | plD_state_ps (PLStream *, PLINT)
void | plD_esc_ps (PLStream *, PLINT, void *)
void | plD_init_psttf (PLStream *)
void | plD_init_psttfc (PLStream *)
void | plD_line_psttf (PLStream *, short, short, short, short)
void | plD_polyline_psttf (PLStream *, short *, short *, PLINT)
void | plD_eop_psttf (PLStream *)
void | plD_bop_psttf (PLStream *)
void | plD_tidy_psttf (PLStream *)
void | plD_state_psttf (PLStream *, PLINT)
void | plD_esc_psttf (PLStream *, PLINT, void *)

## Macro Definition Documentation

## ◆ COPIES

#define COPIES 1

Definition at line 14 of file ps.h.

## ◆ DEF_WIDTH

#define DEF_WIDTH 3.

Definition at line 27 of file ps.h.

## ◆ ENLARGE

#define ENLARGE 5

Definition at line 17 of file ps.h.

## ◆ LINELENGTH

#define LINELENGTH 78

Definition at line 13 of file ps.h.

## ◆ MAX_WIDTH

#define MAX_WIDTH 30.

Definition at line 26 of file ps.h.

## ◆ MIN_WIDTH

#define MIN_WIDTH 1.

Definition at line 25 of file ps.h.

## ◆ OF

#define OF pls->OutFile

Definition at line 24 of file ps.h.

## ◆ PSX

#define PSX XPSSIZE - 1

Definition at line 22 of file ps.h.

## ◆ PSY

#define PSY YPSSIZE - 1

Definition at line 23 of file ps.h.

## ◆ XMAX

#define XMAX PSX + XOFFSET * ENLARGE

Definition at line 32 of file ps.h.

## ◆ XMIN

#define XMIN -XOFFSET * ENLARGE

Definition at line 31 of file ps.h.

## ◆ XOFFSET

#define XOFFSET (int) ( pls->xoffset * ( pls->xdpi / 72. ) )

Definition at line 20 of file ps.h.

## ◆ XPSSIZE

#define XPSSIZE ENLARGE * XSIZE

Definition at line 18 of file ps.h.

## ◆ XSIZE

#define XSIZE (int) ( pls->xlength * ( pls->xdpi / 72. ) )

Definition at line 15 of file ps.h.

## ◆ YMAX

#define YMAX PSY + XOFFSET * ENLARGE

Definition at line 34 of file ps.h.

## ◆ YMIN

#define YMIN -XOFFSET * ENLARGE

Definition at line 33 of file ps.h.

## ◆ YOFFSET

#define YOFFSET (int) ( pls->yoffset * ( pls->ydpi / 72. ) )

Definition at line 21 of file ps.h.

## ◆ YPSSIZE

#define YPSSIZE ENLARGE * YSIZE

Definition at line 19 of file ps.h.

## ◆ YSIZE

#define YSIZE (int) ( pls->ylength * ( pls->ydpi / 72. ) )

Definition at line 16 of file ps.h.

## Function Documentation

## ◆ plD_bop_ps()

void plD_bop_ps | ( | PLStream * |  | ) |

Definition at line 507 of file ps.c.

## ◆ plD_bop_pstex()

void plD_bop_pstex | ( | PLStream * |  | ) |

## ◆ plD_bop_psttf()

void plD_bop_psttf | ( | PLStream * |  | ) |

Definition at line 571 of file psttf.cc.

## ◆ plD_eop_ps()

void plD_eop_ps | ( | PLStream * |  | ) |

Definition at line 494 of file ps.c.

## ◆ plD_eop_pstex()

void plD_eop_pstex | ( | PLStream * |  | ) |

## ◆ plD_eop_psttf()

void plD_eop_psttf | ( | PLStream * |  | ) |

Definition at line 557 of file psttf.cc.

## ◆ plD_esc_ps()

void plD_esc_ps | ( | PLStream * | ,
|  | PLINT | ,
|  | void * |
| ) |  |

Definition at line 656 of file ps.c.

## ◆ plD_esc_pstex()

void plD_esc_pstex | ( | PLStream * | ,
|  | PLINT | ,
|  | void * |
| ) |  |

## ◆ plD_esc_psttf()

void plD_esc_psttf | ( | PLStream * | ,
|  | PLINT | ,
|  | void * |
| ) |  |

Definition at line 733 of file psttf.cc.

## ◆ plD_init_ps()

void plD_init_ps | ( | PLStream * |  | ) |

## ◆ plD_init_psc()

void plD_init_psc | ( | PLStream * |  | ) |

## ◆ plD_init_pstex()

void plD_init_pstex | ( | PLStream * |  | ) |

## ◆ plD_init_psttf()

void plD_init_psttf | ( | PLStream * |  | ) |

## ◆ plD_init_psttfc()

void plD_init_psttfc | ( | PLStream * |  | ) |

## ◆ plD_line_ps()

void plD_line_ps | ( | PLStream * | ,
|  | short | ,
|  | short | ,
|  | short | ,
|  | short |
| ) |  |

Definition at line 421 of file ps.c.

## ◆ plD_line_pstex()

void plD_line_pstex | ( | PLStream * | ,
|  | short | ,
|  | short | ,
|  | short | ,
|  | short |
| ) |  |

## ◆ plD_line_psttf()

void plD_line_psttf | ( | PLStream * | ,
|  | short | ,
|  | short | ,
|  | short | ,
|  | short |
| ) |  |

Definition at line 483 of file psttf.cc.

## ◆ plD_polyline_ps()

void plD_polyline_ps | ( | PLStream * | ,
|  | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |

Definition at line 479 of file ps.c.

## ◆ plD_polyline_pstex()

void plD_polyline_pstex | ( | PLStream * | ,
|  | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |

## ◆ plD_polyline_psttf()

void plD_polyline_psttf | ( | PLStream * | ,
|  | short * | ,
|  | short * | ,
|  | PLINT |
| ) |  |

Definition at line 542 of file psttf.cc.

## ◆ plD_state_ps()

void plD_state_ps | ( | PLStream * | ,
|  | PLINT |
| ) |  |

Definition at line 601 of file ps.c.

## ◆ plD_state_pstex()

void plD_state_pstex | ( | PLStream * | ,
|  | PLINT |
| ) |  |

## ◆ plD_state_psttf()

void plD_state_psttf | ( | PLStream * | ,
|  | PLINT |
| ) |  |

Definition at line 677 of file psttf.cc.

## ◆ plD_tidy_ps()

void plD_tidy_ps | ( | PLStream * |  | ) |

Definition at line 555 of file ps.c.

## ◆ plD_tidy_pstex()

void plD_tidy_pstex | ( | PLStream * |  | ) |

## ◆ plD_tidy_psttf()

void plD_tidy_psttf | ( | PLStream * |  | ) |

Definition at line 620 of file psttf.cc.